Bug 1312426 - OpenStack undercloud and overcloud web ui's both installed as http-only
OpenStack undercloud and overcloud web ui's both installed as http-only
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: Installation - RHELOSP (Show other bugs)
All Linux
unspecified Severity medium
: ---
: 1.1
Assigned To: Jason Montleon
Tasos Papaioannou
Dan Macpherson
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2016-02-26 11:38 EST by Tasos Papaioannou
Modified: 2017-02-27 20:37 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-02-27 20:37:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tasos Papaioannou 2016-02-26 11:38:41 EST
Description of problem:

The undercloud and overcloud deployed by RHCI both use http:// instead of https:// for their web interfaces. From the Installation Summary on a successful deployment, for example:

Undercloud URL
Overcloud URL

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.) Deploy OpenStack.
2.) View Installation Summary and navigate to undercloud and overcloud urls.
3.) Verify that the web ui's are unavailable if you change http:// to https://.

Actual results:

See above.

Expected results:

https-only web UI gets deployed.

Additional info:
Comment 1 Jason Montleon 2016-06-27 09:03:41 EDT
With OSP 7 SSL was not possible.
With OSP 8 the Undercloud no longer has a UI so this is no longer an issue.

I agree we should look into SSL again in OSP 8 for the overcloud though and implement it if possible.
Comment 7 John Matthews 2016-08-05 12:18:48 EDT
Moving to post GA
Comment 8 Jason Montleon 2016-12-08 11:11:11 EST
There is no UI on the undercloud now and the Overcloud is installed with SSL enabled.
Comment 9 Tasos Papaioannou 2016-12-15 13:53:11 EST
Verified on QCI-1.1-RHEL-7-20161214.t.0 and QCIOOO-10.0-RHEL-7-20161130.t.1.
Comment 12 errata-xmlrpc 2017-02-27 20:37:54 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.